QuickBooks POS 2010 system requirements

QuickBooks Pro 2015 has been tested with the following firewall and antivirus products.

Note: In some cases, it may be necessary to adjust settings in these products to ensure the best possible performance with QuickBooks.

  • Windows Server Firewall (all editions)
  • Windows 8 and 8.1 Firewall (all editions)
  • Windows 7 Firewall (all editions)
  • Windows Vista Firewall (all editions)
  • Microsoft Security Essentials
  • Avast
  • Windows Defender
  • AVG
  • Symantec
  • ESET
  • Avira
  • Kaspersky
  • McAfee
  • Bitdefender
  • Norton

Note: QuickBooks will work with systems running RAID (Redundant Array of Inexpensive Disks) but this is not recommended because performance issues may cause QuickBooks to operate slowly.

QuickBooks POS Pro system requirements

QuickBooks POS 2016 system requirements

QuickBooks System Requirements 2014

QuickBooks 2016 system requirements Mac

QuickBooks 2010 System Requirements Mac